@font-face {
     font-family: 'effra_triallight';
     src: url('../fonts/effra_trial_lt-webfont.eot');
     src: url('../fonts/effra_trial_lt-webfont.eot?#iefix') format('embedded-opentype'), url('../fonts/effra_trial_lt-webfont.woff2') format('woff2'), url('../fonts/effra_trial_lt-webfont.woff') format('woff'), url('../fonts/effra_trial_lt-webfont.svg#effra_triallight') format('svg');
     font-weight: normal;
     font-style: normal;
}
 @font-face {
     font-family: 'effra_trialmedium';
     src: url('../fonts/effra_trial_md-webfont.eot');
     src: url('../fonts/effra_trial_md-webfont.eot?#iefix') format('embedded-opentype'), url('../fonts/effra_trial_md-webfont.woff2') format('woff2'), url('../fonts/effra_trial_md-webfont.woff') format('woff'), url('../fonts/effra_trial_md-webfont.ttf') format('truetype'), url('../fonts/effra_trial_md-webfont.svg#effra_trialmedium') format('svg');
     font-weight: normal;
     font-style: normal;
}
 body{
     margin: 0;
     box-sizing: border-box;
}
 .solar-calculator{
     background-color: #090b0e;
     color: #fff;
     font-family: 'effra_triallight';
    /* height: 100vh;
     */
     /* font-size: 16px; */
}
.error{color:red}
 .solar-calculator header {
     background: url('../img/solar-calculator-bg.png') 0 0 no-repeat;
     background-size: cover;
     color: #fff;
     padding: 20px 0;
}
 .solar-calculator header .container{
    max-width: 1200px;
}
 .solar-calculator header h1{
    font-size: 54px;
     font-weight: 500;
     padding-left: 15px;
     margin: 8px 0 0;
}
 .solar-calculator h3{
    font-weight: normal;
    text-align: center;
     font-size: 15px;
     margin: 22px 0;
}
 .solar-calculator .container{
     max-width: 800px;
     margin: 0 auto;
}
 .solar-calculator .container .card{
    margin-top: 20px;
}
 .solar-calculator .grid-container {
     display: grid;
     grid-template-columns: repeat(2, 1fr);
     grid-gap: 10px;
}
 .solar-calculator .grid-container .grid-item {
     padding: 10px;
     text-align: left;
}
 .solar-calculator .form-control{
     width: 100%;
     fill: none;
     border:0;
     border-bottom:2px solid rgba(255,255,255,.2);
     background: transparent;
     padding: 8px;
     margin-top: 4px;
     outline: 0 none !important;
     color: #fff;
     padding: 12px 0;
     margin: 0 0 8px 0;
     box-sizing: border-box;
     font-size: 15px;
     font-family: 'effra_triallight';
}
 .form-control:focus, .form-control:active {
     background: transparent;
}
 input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active{
     transition: all 5000s ease-in-out 0s;
     transition-property: background-color, color;
}
 .solar-calculator .form-control:focus{
     border-width: 2px;
     border-color: #fff;
}
 .solar-calculator h2 {
     font-size: 18px;
     margin-top: 10px;
     font-weight: 400;
     padding-left: 10px;
}
 .solar-calculator .estimation{
    margin-top: 50px;
}
 .solar-calculator .estimation-container{
     max-width: 1200px;
     margin: 0 auto;
}
 .solar-calculator .estimation-container .grid-container {
     display: grid;
     grid-template-columns: repeat(5, 1fr);
     grid-gap: 10px;
     padding: 20px 15px 15px;
     border: 1px solid #7D7D7D;
     background: #212121;
     border-radius: 10px;
}
 .solar-calculator .estimation-container .grid-container .grid-item {
     padding: 5px;
     text-align: left;
     border: 0;
}
 .solar-calculator .estimation-container label {
     color: #D6D6D6;
     margin-bottom: 6px;
     display: inline-block;
}
 .solar-calculator .estimation-container .form-control{
     width: 100%;
     padding: 12px 20px;
     margin: 8px 0;
     box-sizing: border-box;
     border: 2px solid #7D7D7D;
     border-radius: 4px;
     font-size: 18px;
     font-family: 'effra_trialmedium';
}
input.form-control::placeholder,input.form-control::-webkit-input-placeholder,input.form-control::-ms-input-placeholder {
     color:#adadad;
 }
/* Custom data list style */
 .solar-calculator select option:disabled {
     color: gray;
     font-style: italic;
}
 .solar-calculator select option:hover, .active{
     background-color: rgb(87, 209, 78);
}

/* select starting stylings ------------------------------*/
 .select {
     font-family: 'Roboto','Helvetica','Arial',sans-serif;
     position: relative;
     margin-top: 5px;
    /* width: 350px;
     */
}
 .select option{
    color: #000;
}
 .select-text {
     position: relative;
     font-family: inherit;
     background-color: transparent;
     width: 100%;
     padding: 10px 10px 10px 0;
     font-size: 15px;
     border-radius: 0;
     border: none;
     border-bottom: 2px solid rgba(255,255,255,.2);
     color: #adadad;
     font-family: 'effra_triallight';
}
/* Remove focus */
 .select-text:focus {
     outline: none;
     border-bottom: 2px solid rgba(255,255,255,.2);
}
/* Use custom arrow */
 .select .select-text {
     appearance: none;
     -webkit-appearance:none 
}
 .select:after {
     position: absolute;
     top: 18px;
     right: 10px;
    /* Styling the down arrow */
     width: 0;
     height: 0;
     padding: 0;
     content: '';
     border-left: 6px solid transparent;
     border-right: 6px solid transparent;
     border-top: 6px solid rgba(0, 0, 0, 0.12);
     pointer-events: none;
}
/* LABEL ======================================= */
 .select-label {
    /* color: rgba(0,0,0, 0.26);
     */
     color: #adadad;
     font-weight: normal;
     position: absolute;
     pointer-events: none;
     left: 0;
     top: 10px;
     transition: 0.2s ease all;
     font-family: 'effra_triallight';
}
/* active state */
 .select-text:focus ~ .select-label, .select-text:valid ~ .select-label {
     color: #adadad;
     top: -15px;
     transition: 0.2s ease all;
     font-size: 16px;
     left: 0;
}

/* active state */
 .select-text:focus ~ .select-bar:before, .select-text:focus ~ .select-bar:after {
     width: 50%;
}
/* ==========HIGHLIGHTER ========== */
 .select-highlight {
     position: absolute;
     height: 60%;
     width: 100px;
     top: 25%;
     left: 0;
     pointer-events: none;
     opacity: 0.5;
}
/* ==========Calculate Button========== */
 .solar-calculator .calculate-button .btn {
     display: inline-block;
     line-height: 20px;
     border-width: 2px;
     border-style: solid;
     border-radius: 50px;
     font-weight: 500;
     padding: 17px 55px;
     transition: .6s;
     font-size:18px;
}
 .solar-calculator .calculate-button .btn {
     color: #fff !important;
     position: relative;
     z-index: 1;
     border: 0;
     cursor: pointer;
     min-width: 200px;
}
 .solar-calculator .calculate-button .btn {
     background: linear-gradient(to right,#e129c3,#7d137c);
     font-family: 'effra_trialmedium';
}
 .btn-gradient-default-primary:hover {
     background: linear-gradient(to right,#e129c3,#7d137c);
}
 .solar-calculator .calculate-button .btn:before {
     background: #090b0e;
     content: "";
     display: block;
     height: calc(100% - 4px);
     width: calc(100% - 4px);
     position: absolute;
     top: 2px;
     left: 2px;
     border-radius: 50px;
     z-index: -1;
     transition: .6s;
}
 .solar-calculator .calculate-button {
     text-align: center;
     margin: 25px 0 15px 0;
}
 .solar-calculator .calculate-button .btn:hover:before {
     background: 0 0 !important;
     cursor: pointer;
}

/* ==========Disclaimer CSS=========== */
 .disclaimer {
    text-align: center;
}
 .disclaimer h4{
    color: #24B5DA;
    font-weight: normal;
    font-size: 16px;
    margin-bottom: 10px;
}
 .disclaimer ul {
     margin: 0;
     padding: 0 15px 40px;
     font-size: 14px;
     line-height: 25px;
}
 .disclaimer ul li{
    list-style: none;
}

/* ==========Responsive CSS=========== */
@media only screen and (max-width: 1100px) {
     .solar-calculator .container,.solar-calculator .estimation{padding: 0 15px;}
   }
@media only screen and (max-width: 570px) {
     .solar-calculator .grid-container{grid-template-columns: repeat(1, 1fr);}
     .solar-calculator .estimation-container .grid-container{grid-template-columns: repeat(2, 1fr);}
     .solar-calculator header h1 {font-size: 22px;}
     .solar-calculator h2{font-size: 16px;}
     .solar-calculator .grid-container .grid-item{padding: 0 10px}
     .solar-calculator .estimation-container .form-control{padding: 8px 15px 5px;margin: 0;font-size: 15px;}
   }